#include <stdio.h>
#include <limits.h>

int main(){
	printf("sizeof(short int) = %d\n", sizeof(short int));
	printf("sizeof(int) = %d\n", sizeof(int));
	printf("sizeof(unsigned int) = %d\n", sizeof(unsigned int));
	printf("sizeof(long) = %d\n", sizeof(long));
	printf("sizeof(unsigned long) = %d\n", sizeof(unsigned long));
	printf("sizeof(long long) = %d\n", sizeof(long long));
	printf("sizeof(unsigned long long) = %d\n", sizeof(unsigned long long));
	
	printf("\n");
	
	
	printf("INT_MIN = %d\n", INT_MIN);
	printf("INT_MAX = %d\n", INT_MAX);
	
	printf("UINT_MAX = %u\n", UINT_MAX);
	
	printf("LONG_MIN = %ld\n", LONG_MIN);
	printf("LONG_MAX = %ld\n", LONG_MAX);
	
	printf("ULONG_MAX = %lu\n", ULONG_MAX);
	
	printf("LLONG_MIN = %lld\n", LLONG_MIN);
	printf("LLONG_MAX = %lld\n", LLONG_MAX);

	printf("ULLONG_MAX = %llu\n", ULLONG_MAX);

	return 0;	
}